package com.bernhardriedl.projects.tools.gui;

import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.Window;

import javax.swing.JOptionPane;

public class Utils {
	
	/**
	 * centers a Window
	 * @param window Window
	 */
	
	public static void centerWindow(Window window) {
		Dimension d = Toolkit.getDefaultToolkit().getScreenSize();

		window.setLocation(
			(d.width - window.getSize().width) / 2,
        	(d.height - window.getSize().height) / 2
        );
	}
	
    /**
     * exits the Programm with confirmation
     * @param window Window
     */
	
	public static void exitProgramm(Window window) {
		int dialog_auswahl = JOptionPane.showConfirmDialog(window, "Exit Programm?",
				"Confirmation", JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE);
		
		if (dialog_auswahl == JOptionPane.YES_OPTION) {
			window.setVisible(false);
			window.dispose();
			
			try {
				System.exit(0);
			}
			catch (Exception e) {
				System.exit(1);
			}
		}
	}
}